Re: PunBB 1.2.9

Rickard wrote:
Jérémie wrote:

Arcane way of doing things. One really needs plugins.

And by the way, don't worry. 1.3 will have proper plugin support.

That's what I was talking about.

27

Re: PunBB 1.2.9

Rickard wrote:

Yes, use the hdiff or patch it using the diff.

Where can I find the hdiff files?

Anyone?

28

Re: PunBB 1.2.9

ack, never mind - found'em smile

Re: PunBB 1.2.9

Hmm, Raybo, you really should *edit your posts*, rather than posting three separate ones smile

30

Re: PunBB 1.2.9

sorry, wasn't intentional.   When I first replied, I was on the [1] page.  smile

31

Re: PunBB 1.2.9

It's serious reason make [2] page wink

Hm... every pixel has it's own destiny

32

Re: PunBB 1.2.9

Hello,

First time poster here... smile

Firstly, thanks for this great piece of software. I just updated my installation from 1.2.8 to 1.2.9 using patch, and the instruction says to run the script after applying the patch. My question is which "script" am I supposed to run? I tried moving my config.php out of the way and rerun the install.php but that complains that I already have a users table or something like that, so that must not be it smile

My version still say 1.2.8 even though I already applied the patch, so I must be missing something.

Thanks in advance.

Re: PunBB 1.2.9

celso wrote:

Hello,

First time poster here... smile

Firstly, thanks for this great piece of software. I just updated my installation from 1.2.8 to 1.2.9 using patch, and the instruction says to run the script after applying the patch. My question is which "script" am I supposed to run? I tried moving my config.php out of the way and rerun the install.php but that complains that I already have a users table or something like that, so that must not be it smile

My version still say 1.2.8 even though I already applied the patch, so I must be missing something.

Thanks in advance.

In your PunBB package: extras/12_to_129_update.php

Move that to your upload/ (PunBB root) and run it. Then remove it.

34 (edited by celso 2005-10-18 15:16)

Re: PunBB 1.2.9

Wow! That was quick. I think I'm going to like it here smile

I got it working now.

Since I only downloaded the patch, I didn't get that particular file. I have to download the full package and extract that file.

Thanks Jansson.

35

Re: PunBB 1.2.9

celso wrote:

Since I only downloaded the patch, I didn't get that particular file. I have to download the full package and extract that file.

As it is now the version information is always out of date with my punbb installation since I just use the patch and usually don't bother with 12_to_12?_update.php although is kind of annoying at times when I forget what version I'm running and what the next patch to install would be.

Having the version tag in the source code since it is the source code the version reflects, or having version tag both in the source code and in the database so you could check that they match makes sense, but only having it in the database does not make much sense to me.

Re: PunBB 1.2.9

Ulph: Except then you need to update ALL files to reflect the new version (unless you're going to have one file store the current version data)

http://fluxbb.org

Free PunBB Hosting - lots of mods, easy to customize

37

Re: PunBB 1.2.9

I was thinking of a global variable of some kind.

Re: PunBB 1.2.9

celso wrote:

Since I only downloaded the patch, I didn't get that particular file. I have to download the full package and extract that file.

It's in the update as well. Look in /extras, you'll find it there.

Parimal Satyal - Powermetal from Nepal

Re: PunBB 1.2.9

Maybe you should start out by reading a bit about register_globals.

I read about the register_globals and know i use $_POST and $_GET instead of (!empty($var)) and my plug-in works with 1.2.9 tongue

40 (edited by gil 2005-10-19 21:39)

Re: PunBB 1.2.9

Install OK, Excellent!
Just a little bug:
doc isn't up to date: Follow these instructions to update your current 1.2.* installation to 1.2.8. wink

Gil

Re: PunBB 1.2.9

gil wrote:

Install OK, Excellent!
Just a little bug:
doc isn't up to date: Follow these instructions to update your current 1.2.* installation to 1.2.8. wink

Gil

Ah, I must have forgotten. I'll do it tonight (if I remember).

"Programming is like sex: one mistake and you have to support it for the rest of your life."

42

Re: PunBB 1.2.9

nobody should be using register_globals anyway these days.
they are evil.

make sure it's turned off in php.ini

43 (edited by OdEa 2005-10-20 09:04)

Re: PunBB 1.2.9

Fatal error: Cannot redeclare unregister_globals() (previously declared in /home/chiptune/www/forum/include/functions.php:1060) in /home/chiptune/www/forum/include/functions.php on line 1079

:'(

1)I patched
2)I moved punbb-1.2.9/extras/12_to_129_update.php to my forum root directory
3)I run it and here is the result

Thanks for your help!

EDIT:oh sorry maybe thats a problem of register globals, I will check
EDIT2: same problem with register_globals Off

44

Re: PunBB 1.2.9

OK problem solved:
I had 5 times the unregister_globals() function in functions.php

Re: PunBB 1.2.9

OdEa wrote:

OK problem solved:
I had 5 times the unregister_globals() function in functions.php

Yes, that's generally a bad idea smile

"Programming is like sex: one mistake and you have to support it for the rest of your life."

46

Re: PunBB 1.2.9

Coungreat, So simple so Good !

Yours, Benny.